New: pagination on person search, fuzzy matching, and more. See what's changed →
Whitepages Pro API
Property

Search for property by address

Search for property by address parameters. Returns basic property information including property_id, address, owner, and resident details. For comprehensive property details including physical characteristics, tax assessments, and mortgage history, use the returned property_id with the "Get property details by ID" endpoint (/v2/property/{property_id}).

GET
/v2/property/

Authorization

ApiKeyAuth

x-api-key<token>

API key for authentication. Get your key from the Whitepages developer portal.

In: header

Query Parameters

street?string

Street address including number and name

Example"123 Main St"
Example"456 Oak Avenue"
city?string

City name

Example"Seattle"
Example"Portland"
Example"San Francisco"
state_code?string

Two-letter state code

Value in"AL" | "AK" | "AZ" | "AR" | "AS" | "CA" | "CO" | "CT" | "DE" | "DC" | "FL" | "GA" | "GU" | "HI" | "ID" | "IL" | "IN" | "IA" | "KS" | "KY" | "LA" | "ME" | "MD" | "MA" | "MI" | "MN" | "MS" | "MO" | "MT" | "NE" | "NV" | "NH" | "NJ" | "NM" | "NY" | "NC" | "ND" | "MP" | "OH" | "OK" | "OR" | "PA" | "PR" | "RI" | "SC" | "SD" | "TN" | "TX" | "TT" | "UT" | "VT" | "VA" | "VI" | "WA" | "WV" | "WI" | "WY"
Example"WA"
Example"OR"
Example"CA"
zipcode?string

5

Match^\d{5}$
Example"98101"
Example"60616"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.whitepages.com/v2/property/"
{
  "result": {
    "property_id": "string",
    "apn": "string",
    "property_address": {
      "full_address": "string",
      "line1": "string",
      "city": "string",
      "state": "string",
      "zip": "string",
      "house": "string",
      "street": "string",
      "street_type": "string",
      "county": "string"
    },
    "mailing_address": {
      "full_address": "string",
      "line1": "string",
      "city": "string",
      "state": "string",
      "zip": "string",
      "house": "string",
      "street": "string",
      "street_type": "string",
      "county": "string"
    },
    "geolocation": {
      "lat": 0,
      "lng": 0
    },
    "ownership_info": {
      "owner_type": "string",
      "business_owners": [],
      "person_owners": []
    },
    "residents": []
  }
}
{
  "error": {
    "code": 400,
    "message": "Bad Request",
    "long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
    "meta": null
  },
  "wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}
{
  "message": "Forbidden"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "error": {
    "code": 400,
    "message": "Short error message",
    "long_message": "The request was malformed",
    "meta": {
      "field": "email",
      "validation_error": "Invalid email format"
    }
  },
  "wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}

Related